/*
 * GXMame
 *
 * 2002, Stphane Pontier <shadow_walker@users.sourceforge.net>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#include <gtk/gtk.h>


gboolean
on_MainWindow_delete_event             (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_exit_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_about_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
		
gboolean
on_AboutWindow_delete_event            (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_aboutButtonOK_clicked_event         (GtkButton       *button,
                                        gpointer         user_data);

void
on_filterShowButton_toggled            (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_snapShowButton_toggled              (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_mode_button_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_ModifyThe_toggled                   (GtkToggleButton *button,
                                        gpointer         user_data);


void
on_folder_selected                     (GtkCTree        *CTree,
                                        GtkCTreeNode    *CTreeNode,
                                        gint            *column,
                                        gpointer         user_data);

void
on_folder_unselected                   (GtkCTree        *CTree,
                                        GtkCTreeNode    *CTreeNode,
                                        gint            *column,
                                        gpointer         user_data);

void
on_row_selected                       (GtkCList         *CList,
                                        gint             game,
                                        gint             column,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

void
on_play_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_select_random_game_activate         (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_add_to_favorites_activate           (GtkMenuItem     *menuitem,
                                        gpointer         user_data);


void
on_remove_from_favorites_activate      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_folder_list_activate                (GtkCheckMenuItem *menuitem,
                                        gpointer         user_data);

void
on_screen_shot_activate                (GtkCheckMenuItem *menuitem,
                                        gpointer         user_data);

void
on_refresh_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_large_icons_menu_activate           (GtkCheckMenuItem *menuitem,
                                        gpointer         user_data);

void
on_small_icons_view_menu_activate      (GtkCheckMenuItem *menuitem,
                                        gpointer         user_data);

void
on_list_view_menu_activate             (GtkCheckMenuItem *menuitem,
                                        gpointer         user_data);

void
on_details_view_menu_activate          (GtkCheckMenuItem *menuitem,
                                        gpointer         user_data);

void
on_toolbar_view_menu_activate          (GtkCheckMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_status_bar_view_menu_activate       (GtkCheckMenuItem     *menuitem,
                                        gpointer         user_data);

void
update_ctree_filter_width              (GtkCTree        *ctree,
                                        GList           *node,
                                        gpointer         user_data);

void
on_rebuild_game_list_menu_activate     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_directories_menu_activate           (GtkMenuItem     *menuitem,
                                        gpointer         user_data);


void
on_audit_all_games_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_properties_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
